phosh-osk-stevia (0.56.0-1) unstable; urgency=medium

  * New upstream release
    * Enable key repeat to non-modifier keys in the shortcuts bar
    * Add cursor keys to shortcuts bar by default

 -- Guido Günther <agx@sigxcpu.org>  Sat, 04 Jul 2026 16:06:12 +0200

phosh-osk-stevia (0.56~rc1-1) unstable; urgency=medium

  * New upstream release
    * Allow to specify default layout per app. This allows to e.g.
      always use the terminal layout with Emacs.
    * Add locale and flavor to layout information so Mobile
      Settings can make use of it.
    * Switch to ext-data-control-v1 for paste handling
    * Updated layouts
      - ge: Add missing keys

 -- Guido Günther <agx@sigxcpu.org>  Sat, 27 Jun 2026 22:35:45 +0200

phosh-osk-stevia (0.56~alpha1-1) unstable; urgency=medium

  * New upstream pre-release
    * Add locale and flavor to layout information so Mobile
      Settings can make use of it.
    * Switch to ext-data-control-v1 for paste handling
    * Updated layouts
      - ge: Add missing keys

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Jun 2026 09:04:15 +0200

phosh-osk-stevia (0.55.0-1) unstable; urgency=medium

  * New upstream release
    * UI translations:
      * nicole mikołajczyk (pl)
      * Ryo Nakano (ja)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 11 Jun 2026 11:35:00 +0200

phosh-osk-stevia (0.54.0-2) unstable; urgency=medium

  * Build-depend on uim. Needed to enable uim support
  * Set XDG_RUNTIME_DIR. Needed for uim-helper
  * Bump standards version
  * Mention dependency package.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Apr 2026 20:34:09 +0200

phosh-osk-stevia (0.54.0-1) unstable; urgency=medium

  * New upstream release
    * Fix automatic space in hunspell
    * Allow to disable automatic space mode

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Apr 2026 17:33:30 +0200

phosh-osk-stevia (0.54~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * Initial support for Japanese and Chinese via uim
    * Support more modifiers in shortcuts bar
    * Migrate schema entries to `mobi.phosh`
    * Make layout order in the popover match the input sources
    * Leak fixes
    * Updated layouts
      - ch+fr
    * New layouts
      - us+workman
  * Enable uim support
  * Add package to pull in uim dependencies
  * Add breaks on older mobile-settings.
    We want a version that uses the new schema locations.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 25 Mar 2026 10:28:53 +0100

phosh-osk-stevia (0.53.0-1) unstable; urgency=medium

  * New upstream release
    * No changes over rc1

 -- Guido Günther <agx@sigxcpu.org>  Sat, 14 Feb 2026 09:53:51 +0100

phosh-osk-stevia (0.53~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * Allow to scale up in landscape too
    * Scale up key font and icons when scaling up keys

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Feb 2026 20:21:51 +0100

phosh-osk-stevia (0.52.1-1) unstable; urgency=medium

  * New upstream release
  * Fix possible startup assertion

 -- Guido Günther <agx@sigxcpu.org>  Fri, 16 Jan 2026 13:11:13 +0100

phosh-osk-stevia (0.52.0-1) unstable; urgency=medium

  * New upstream release
    * Enable typed character popover by default
    * Scale OSK by default

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Jan 2026 11:48:19 +0100

phosh-osk-stevia (0.52~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * Fix delayed osk unfold when vertical size changed

 -- Guido Günther <agx@sigxcpu.org>  Thu, 25 Dec 2025 10:14:17 +0100

phosh-osk-stevia (0.51.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Nov 2025 18:30:10 +0100

phosh-osk-stevia (0.51~rc1-2) unstable; urgency=medium

  * No longer provide phosh-osk-stub.
    This allows us to force phosh-osk-stub off the system.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Nov 2025 09:56:19 +0100

phosh-osk-stevia (0.51~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * Give up when we fail to claim the DBus name on startup
    * Don't spawn two instances with gnome-session-bin < 49
    * Fix backspace delete issues in emoji and numeric layouts

 -- Guido Günther <agx@sigxcpu.org>  Tue, 04 Nov 2025 17:14:18 +0100

phosh-osk-stevia (0.50.1-1) unstable; urgency=medium

  * New upstream release
    * Fix keyboard sometimes being unavailable after login with
      gnome-session 49.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 08 Oct 2025 22:44:39 +0200

phosh-osk-stevia (0.50.0-1) unstable; urgency=medium

  * New upstream release
    * Fix rendering with multiple outputs attached
    * Add systemd unit to work with gnome-session >= 49
    * presage completer: Fix completing partially deleted words
    * Make keys and `Return` look a bit more prominent
  * Install service file.
    Needed for gnome-session >= 0.49.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Oct 2025 11:46:49 +0200

phosh-osk-stevia (0.50~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * Make the char popup more similar to typing indicator
    * Make backspace delete more useful by deleting complete words
    * Delete space before inserted punctuation
    * Make cursor navigation less sensitive to wiggles
  * Adjust repo URLs

 -- Guido Günther <agx@sigxcpu.org>  Sat, 27 Sep 2025 19:46:23 +0200

phosh-osk-stevia (0.49.0-3) unstable; urgency=medium

  * Reupload to unstable.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Sep 2025 22:30:36 +0200

phosh-osk-stevia (0.49.0-2) unstable; urgency=medium

  * Revert "emoji-db: Take endianess into account"
    This was needed for our emoji data but not when using
    the one from GTK.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Aug 2025 22:01:50 +0200

phosh-osk-stevia (0.49.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
    * Use system default font instead of hardcoding Cantarell
    * Drop built in emoji data

 -- Guido Günther <agx@sigxcpu.org>  Thu, 14 Aug 2025 19:27:23 +0200

phosh-osk-stevia (0.49~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    * Allow to keep physical size constant in portrait mode
    * Allow to add empty bottom bar in portrait mode
    * Fix adding additional completions in hunspell
    * Use `key-pressed` instead of `button-pressed` for
      feedback
    * Fix translations of completer information in p-m-s
  * treewide: wrap and sort
  * d/control: Add missing breaks for doc package

 -- Guido Günther <agx@sigxcpu.org>  Thu, 07 Aug 2025 11:03:05 +0200

phosh-osk-stevia (0.48.0-2) experimental; urgency=medium

  * Stevia got accepted into experimental. Thanks a lot
    to the ftp masters.
  * Update Breaks/Replaces. With phosh-osk-stub 0.48 in
    main we need to bump these and can now finally retire
    phosh-osk-stub \o/.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 09 Jul 2025 17:22:17 +0200

phosh-osk-stevia (0.48.0-1) experimental; urgency=medium

  * New upstream release
    * Fix hunspell completer with non-UTF8 dictionaries (e.g. PL)
    * Several leak fixes
    * Change completer right away. Until know it would only get
      updated on layout changes

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Jun 2025 16:42:06 +0200

phosh-osk-stevia (0.48~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    * Add pipe completer example
    * New layouts:
        * us+dvorak

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Jun 2025 11:37:45 +0200

phosh-osk-stevia (0.48~alpha1-1) experimental; urgency=medium

  * New upstream development release
  * Project got renamed to stevia

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 May 2025 10:41:46 +0200

phosh-osk-stub (0.47.0-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 17 May 2025 11:43:55 +0200

phosh-osk-stub (0.47~rc2-1) experimental; urgency=medium

  * New upstream release candidate
    * Add (optional) key indicator popover

 -- Guido Günther <agx@sigxcpu.org>  Sun, 11 May 2025 12:24:27 +0200

phosh-osk-stub (0.47~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    * Add emojis to completions
  * Add build-deps for new tests
  * Use writable home dir in tests. The varnam and presage
    completers expect this.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 May 2025 10:49:15 +0200

phosh-osk-stub (0.46.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Mar 2025 12:09:31 +0200

phosh-osk-stub (0.46~rc1-1) unstable; urgency=medium

  * New upstream release
    * Improve key symbols for layer switching
    * Simplify switching to Symbols2 layer

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Mar 2025 14:51:58 +0100

phosh-osk-stub (0.45.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 13 Feb 2025 14:41:58 +0100

phosh-osk-stub (0.45~rc1-1) unstable; urgency=medium

  * New upstream release
    * Long press on shift toggles caps lock
    * Update emoji data
    * Update IL layout

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Feb 2025 12:38:25 +0100

phosh-osk-stub (0.44.0-1) unstable; urgency=medium

  * New upstream release
  * Update description as upstream removed the experimental status

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Dec 2024 11:36:56 +0100

phosh-osk-stub (0.44~rc1-1) unstable; urgency=medium

  * New upstream release
    * Add special layouts for pin, digit and phone number input purpose
    * Make Persian layout close to ISIRI 9147
  * alternatives: Adjust to updated app-id
  * alternatives: Bump priority.
    See discussion in
    https://salsa.debian.org/DebianOnMobile-team/meta-phosh/-/merge_requests/38

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Dec 2024 10:06:29 +0100

phosh-osk-stub (0.43.0-2) unstable; urgency=medium

  * d/control: Recommend data packager.
    This makes it easier to get prediction data for presage

 -- Guido Günther <agx@sigxcpu.org>  Sun, 17 Nov 2024 14:51:16 +0100

phosh-osk-stub (0.43.0-1) unstable; urgency=medium

  * New upstream release
  * Depend on recent desktop schemas. Needed for accent colors

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Nov 2024 08:47:55 +0100

phosh-osk-stub (0.43~rc1-1) unstable; urgency=medium

  * New upstream release
    - Add <ctrl> and <alt> modifiers and <menu> key to the shortcuts bar
    - Support accent colors
    - Better handle overlapping key presses to ease fast typing
    - Make lower- and upper-case view of terminal layout more consistent
    - presage: Don't set abbrev predictor as it adds random unicode chars
    - Ship completer descriptions so mobile settings knows about them
    - User documentation updates

 -- Guido Günther <agx@sigxcpu.org>  Mon, 11 Nov 2024 20:09:20 +0100

phosh-osk-stub (0.42.0-1) unstable; urgency=medium

  * New upstream release
    - Lower velocity needed to swipe close the OSK a bit
    - Enable hint based completion by default

 -- Guido Günther <agx@sigxcpu.org>  Sun, 29 Sep 2024 17:36:45 +0200

phosh-osk-stub (0.42~rc1-1) unstable; urgency=medium

  * New upstream release
    - Provide layout information so e.g. phosh-mobile-settings can use
      it to show only supported layouts
    - Allow to paste clipboard contents
    - varnam completer: Learn accepted words to improve predictions
  * d/control: B-D on libgmobile-dev
  * Install layout info

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Sep 2024 19:37:25 +0200

phosh-osk-stub (0.41.1-1) unstable; urgency=medium

  * New upstream release
    - Unswap Enter and Backspace
    - Require higher velocity to swipe close keyboard

 -- Guido Günther <agx@sigxcpu.org>  Wed, 21 Aug 2024 08:31:36 +0200

phosh-osk-stub (0.41.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 14 Aug 2024 23:11:11 +0200

phosh-osk-stub (0.41.0~rc1-1) unstable; urgency=medium

  * New upstream release
    - Allow to swipe close the keyboard
    - Allow for more rows to support e.g. Thai layouts
    - Add more layouts
    - Allow to open OSK settings from menu popover

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Aug 2024 12:41:20 +0200

phosh-osk-stub (0.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Apr 2024 16:46:01 +0200

phosh-osk-stub (0.37.0-1) unstable; urgency=medium

  * New upstream release
  * Use signed upstream tarballs

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Mar 2024 15:56:47 +0100

phosh-osk-stub (0.36.0-2) unstable; urgency=medium

  * Disable varnam on mips64el
    c-shared mode currently isn't supported on this platform.
    (Closes: #1063246)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 06 Feb 2024 15:28:10 +0100

phosh-osk-stub (0.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Feb 2024 12:10:28 +0100

phosh-osk-stub (0.35.0-2) unstable; urgency=medium

  * Enable varnam support

 -- Guido Günther <agx@sigxcpu.org>  Sun, 07 Jan 2024 10:27:14 +0100

phosh-osk-stub (0.35.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 04 Jan 2024 20:00:27 +0100

phosh-osk-stub (0.34.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches. Applied upstream.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Dec 2023 18:14:50 +0100

phosh-osk-stub (0.33.0-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Print details on test failures
  * tests: Use memory gsettings backend

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Nov 2023 11:12:10 +0100

phosh-osk-stub (0.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 03 Oct 2023 14:12:27 +0200

phosh-osk-stub (0.31.0-1) unstable; urgency=medium

  * Upload to unstable to make it easier to grab
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Sep 2023 12:05:44 +0200

phosh-osk-stub (0.30.0-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 02 Aug 2023 12:04:13 +0200

phosh-osk-stub (0.28.0-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jun 2023 10:04:59 +0200

phosh-osk-stub (0.27.0-1) experimental; urgency=medium

  * New upstream release
  * d/control: Add hunspell dependencies
  * d/install: Install metainfo

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Apr 2023 17:44:26 +0200

phosh-osk-stub (0.25.0-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Feb 2023 10:58:54 +0100

phosh-osk-stub (0.24.0-1) experimental; urgency=medium

  * New upstream release
  * Run tests under xvfb.
    They use gtk_test_init() now which needs a display.
  * Move desktop file out of /usr/share/applications.
    This avoids double listing them in phosh-mobile-settings.
  * Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Jan 2023 13:07:22 +0100

phosh-osk-stub (0.23.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * Install manpage
  * Install settings schema.
    Needed for the shortcuts
  * Drop all patches
  * Add symlinks for presage's en dictionary.
    The training corups used for it isn't nice but it's a start
    until we can train from some better dat.
  * fixup! Install manpage
  * d/control: Add deps and breaks for completion

 -- Guido Günther <agx@sigxcpu.org>  Tue, 27 Dec 2022 18:37:15 +0100

phosh-osk-stub (0.23.0~rc1-2) experimental; urgency=medium

  * Allow to use non standard desktop file name.  This avoids dh-exec working
    round #831786 making the arch all build pass.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 09 Dec 2022 20:43:22 +0100

phosh-osk-stub (0.23.0~rc1-1) experimental; urgency=medium

  * Initial Debian release (Closes: #1025060)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 29 Nov 2022 17:00:57 +0100
